test: _CONFIGURATION_COMPONENT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONFIGURATION_COMPONENT Struct Reference

`#include <arc.h>`

List of all members.

## Public Attributes

CONFIGURATION_CLASS | Class
CONFIGURATION_TYPE | Type
DEVICE_FLAGS | Flags
USHORT | Version
USHORT | Revision
ULONG | Key
ULONG | AffinityMask
ULONG | ConfigurationDataLength
ULONG | IdentifierLength
CHAR *FIRMWARE_PTR | Identifier

## Member Data Documentation

ULONG _CONFIGURATION_COMPONENT::AffinityMask

| Definition at line 285 of file arc.h.

CONFIGURATION_CLASS _CONFIGURATION_COMPONENT::Class

| Definition at line 279 of file arc.h. Referenced by CmpInitializeRegistryNode(), CmpSetupConfigurationTree(), KeFindConfigurationNextEntry(), and LowTraverseChildren().

ULONG _CONFIGURATION_COMPONENT::ConfigurationDataLength

| Definition at line 286 of file arc.h. Referenced by CmpInitializeRegistryNode(), and LowGetPartitionGeometry().

DEVICE_FLAGS _CONFIGURATION_COMPONENT::Flags

| Definition at line 281 of file arc.h. Referenced by CmpInitializeRegistryNode().

CHAR* FIRMWARE_PTR _CONFIGURATION_COMPONENT::Identifier

| Definition at line 288 of file arc.h. Referenced by CmpInitializeHardwareConfiguration(), CmpInitializeRegistryNode(), and CmpSetupConfigurationTree().

ULONG _CONFIGURATION_COMPONENT::IdentifierLength

| Definition at line 287 of file arc.h. Referenced by CmpInitializeRegistryNode().

ULONG _CONFIGURATION_COMPONENT::Key

| Definition at line 284 of file arc.h. Referenced by KeFindConfigurationNextEntry().

USHORT _CONFIGURATION_COMPONENT::Revision

| Definition at line 283 of file arc.h.

CONFIGURATION_TYPE _CONFIGURATION_COMPONENT::Type

| Definition at line 280 of file arc.h. Referenced by CmpInitializeRegistryNode(), CmpSetupConfigurationTree(), KeFindConfigurationNextEntry(), and LowTraverseChildren().

USHORT _CONFIGURATION_COMPONENT::Version

| Definition at line 282 of file arc.h.

The documentation for this struct was generated from the following file:

- arc.h